import React, { Component } from 'react';
import style from './PDP.module.scss';
import Product from 'models/product';

class PDPPage extends Component {

    componentDidMount() {
        const { match: { params: { productId } } } = this.props;
        this.props.getProductDetails(productId);
    }

    render() {
        const image = { url: 'https://www.westelm.com/weimgs/rk/images/wcm/products/202003/0005/belgian-linen-ladder-stripe-embroidery-duvet-cover-shams-s-m.jpg' };
        const { product } = this.props;
        const { name, } = new Product(product);
        return (
            <section className={style.PDPPage}>
                <div className={style.content}>
                    <div className={style.images}>
                        <img
                            src={image.url}
                            alt={image.alt}
                            className={style.productImage}
                        />
                    </div>
                    <div className={style.details}>
                        <h1>{name}</h1>
                        <div>Price: 44 - 329</div>
                    </div>
                </div>
            </section>
        );
    }

}

export default PDPPage;